Loading...
Searching...
No Matches
WGPURenderPassDepthStencilAttachment Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUTextureView | view
WGPULoadOp | depthLoadOp
WGPUStoreOp | depthStoreOp
float | depthClearValue
WGPUBool | depthReadOnly
WGPULoadOp | stencilLoadOp
WGPUStoreOp | stencilStoreOp
uint32_t | stencilClearValue
WGPUBool | stencilReadOnly

## Detailed Description

Definition at line 1396 of file mini_webgpu.h.

## Member Data Documentation

## view

WGPUTextureView WGPURenderPassDepthStencilAttachment::view

Definition at line 1397 of file mini_webgpu.h.

## depthLoadOp

WGPULoadOp WGPURenderPassDepthStencilAttachment::depthLoadOp

Definition at line 1398 of file mini_webgpu.h.

## depthStoreOp

WGPUStoreOp WGPURenderPassDepthStencilAttachment::depthStoreOp

Definition at line 1399 of file mini_webgpu.h.

## depthClearValue

float WGPURenderPassDepthStencilAttachment::depthClearValue

Definition at line 1400 of file mini_webgpu.h.

## depthReadOnly

WGPUBool WGPURenderPassDepthStencilAttachment::depthReadOnly

Definition at line 1401 of file mini_webgpu.h.

## stencilLoadOp

WGPULoadOp WGPURenderPassDepthStencilAttachment::stencilLoadOp

Definition at line 1402 of file mini_webgpu.h.

## stencilStoreOp

WGPUStoreOp WGPURenderPassDepthStencilAttachment::stencilStoreOp

Definition at line 1403 of file mini_webgpu.h.

## stencilClearValue

uint32_t WGPURenderPassDepthStencilAttachment::stencilClearValue

Definition at line 1404 of file mini_webgpu.h.

## stencilReadOnly

WGPUBool WGPURenderPassDepthStencilAttachment::stencilReadOnly

Definition at line 1405 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h